# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2018-07-13 09:37
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('source', models.TextField(blank=True, null=True)),
                ('description', models.TextField(blank=True, null=True)),
                ('title', models.CharField(max_length=100, verbose_name=b'Title')),
                ('type', models.CharField(max_length=50, verbose_name=b'Question Type')),
            ],
        ),
        migrations.CreateModel(
            name='Sheet',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('type', models.CharField(max_length=50, verbose_name=b'type')),
                ('title', models.CharField(max_length=200, verbose_name=b'Title')),
                ('active', models.BooleanField(default=False, verbose_name=b'Active')),
                ('num_of_questions', models.IntegerField(verbose_name=b'Number of Questions')),
                ('start_date', models.DateField(verbose_name=b'Start Date')),
                ('end_date', models.DateField(verbose_name=b'End Date')),
                ('q1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q1', to='problems.Question')),
                ('q10', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q10', to='problems.Question')),
                ('q2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q2', to='problems.Question')),
                ('q3', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q3', to='problems.Question')),
                ('q4', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q4', to='problems.Question')),
                ('q5', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q5', to='problems.Question')),
                ('q6', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q6', to='problems.Question')),
                ('q7', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q7', to='problems.Question')),
                ('q8', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q8', to='problems.Question')),
                ('q9', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='q9', to='problems.Question')),
            ],
        ),
    ]
